#!/usr/bin/env bash

#BSUB -q normal
#BSUB -W 10
#BSUB -n 8
#BSUB -R "span[ptile=4]"
#BSUB -gpu "num=4"
#BSUB -e "error.%J.er"
#BSUB -o "output_%J.out"
#BSUB -J HVD_DATA_DIST

# Load the required modules
module load python/3.6.1
module load tensorflow/1.12.0-gcc_5.4.0-cuda_10.0.130
module load horovod/0.15.2

# Run the program
mpirun -bind-to none \
        -map-by slot \
        -x NCCL_DEBUG=INFO \
        -x LD_LIBRARY_PATH \
        -x PATH \
        -mca pml ob1 \
        -mca btl ^openib \
        python -u mnist_data_distributed.py
